Page MenuHomePhabricator

[mlir] Add polynomial approximation for math::ExpOp
ClosedPublic

Authored by asaadaldien on Feb 26 2021, 5:12 PM.

Diff Detail

Event Timeline

asaadaldien created this revision.Feb 26 2021, 5:12 PM
asaadaldien requested review of this revision.Feb 26 2021, 5:12 PM
ezhulenev accepted this revision.Feb 27 2021, 5:49 AM
ezhulenev added inline comments.
mlir/lib/Dialect/Math/Transforms/PolynomialApproximation.cpp
399–400

super nit: it's easier to read when range is on a single line

415

I'd remove f32_ prefix from all helpers, strictly speaking they do support any fp type. Also in this particular case they do not save much space, e.g. in f32_mul vs b.create<MulFOp> the latter doesn't require to keep in the head what all these helpers actually do.

This revision is now accepted and ready to land.Feb 27 2021, 5:49 AM

Comments...

This revision was landed with ongoing or failed builds.Mar 1 2021, 11:02 AM
This revision was automatically updated to reflect the committed changes.